set memory 64m
set more off

quietly do ExperimentA_RecodeVariables.do

gen explicit_abp=anti_black_predisp*explicit
gen control_abp=anti_black_predisp*control

gen explicit_educ=educ*explicit
gen control_educ=educ*control

*used by marginal effects program
global modelcount=1
gen predisp=.
gen model=.
gen Icontrol=.
gen Iexplicit=.
gen Iimplicit=.

gen Lcontrol=.
gen Ucontrol=.
gen Lexplicit=.
gen Uexplicit=.
gen Limplicit=.
gen Uimplicit=.
*done with marginal effects variables

*create data for figure 5
************************
*begin marginal effects*
************************
estsimp oprobit decrease_spending           explicit control anti_black_predisp control_abp explicit_abp educ educ_abp explicit_educ control_educ   age age2 female conservatism if educ==1 | educ==2, robust genname(b_)
quietly do CreateFigure5_SubProg_fullmarginals_loweduc.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

************************
*begin marginal effects*
************************
estsimp oprobit strengthen_work_reqs        explicit control anti_black_predisp control_abp explicit_abp educ educ_abp explicit_educ control_educ   age age2 female conservatism if educ==1 | educ==2, robust genname(b_)
quietly do CreateFigure5_SubProg_fullmarginals_loweduc.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

************************
*begin marginal effects*
************************
estsimp oprobit Oppose_Govt_Help_Blacks     explicit control anti_black_predisp control_abp explicit_abp educ educ_abp explicit_educ control_educ   age age2 female conservatism if educ==1 | educ==2, robust genname(b_)
quietly do CreateFigure5_SubProg_fullmarginals_loweduc.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

************************
*begin marginal effects*
************************
estsimp oprobit Decrease_Affirmative_Action explicit control anti_black_predisp control_abp explicit_abp educ educ_abp explicit_educ control_educ   age age2 female conservatism if educ==1 | educ==2, robust genname(b_)
quietly do CreateFigure5_SubProg_fullmarginals_loweduc.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

************************
*begin marginal effects*
************************
estsimp oprobit decrease_spending           explicit control anti_black_predisp control_abp explicit_abp educ educ_abp explicit_educ control_educ   age age2 female conservatism if educ==3 | educ==4, robust genname(b_)
quietly do CreateFigure5_SubProg_fullmarginals_higheduc.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

************************
*begin marginal effects*
************************
estsimp oprobit strengthen_work_reqs        explicit control anti_black_predisp control_abp explicit_abp educ educ_abp explicit_educ control_educ   age age2 female conservatism if educ==3 | educ==4, robust genname(b_)
quietly do CreateFigure5_SubProg_fullmarginals_higheduc.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

************************
*begin marginal effects*
************************
estsimp oprobit Oppose_Govt_Help_Blacks     explicit control anti_black_predisp control_abp explicit_abp educ educ_abp explicit_educ control_educ   age age2 female conservatism if educ==3 | educ==4, robust genname(b_)
quietly do CreateFigure5_SubProg_fullmarginals_higheduc.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

************************
*begin marginal effects*
************************
estsimp oprobit Decrease_Affirmative_Action explicit control anti_black_predisp control_abp explicit_abp educ educ_abp explicit_educ control_educ   age age2 female conservatism if educ==3 | educ==4, robust genname(b_)
quietly do CreateFigure5_SubProg_fullmarginals_higheduc.do
global modelcount=$modelcount+1
drop b_*
**********************
*end marginal effects*
**********************

drop video- control_educ
drop if predisp==.

#delimit ;

graph twoway rarea Limplicit Uimplicit predisp if model==1,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
line  Iimplicit Iexplicit Icontrol predisp if model==1
,
 clcolor(black black black) clpattern(solid dash dot)
 ytitle("Predicted Probability",size(small) color(black))
 ylabel(#7, labcolor(black) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) color(white)) 
xscale(range(0 1)) xlabel(0(.166)1, format(%9.2f) labsize(small) labcolor(white)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("1A: Decrease Spending", position(12) size(small)) subtitle("Low Education Respondents", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("SpendAlow",replace) ;

graph twoway rarea Limplicit Uimplicit predisp if model==2, blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
line Iimplicit Iexplicit Icontrol predisp if model==2
,
 clcolor(black black black) clpattern(solid dash dot) 
 ytitle("Predicted Probability",size(small) color(black))
 ylabel(#7, labcolor(black) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) color(black)) 
xscale(range(0 1)) xlabel(0(.166)1, format(%9.2f) labsize(small) labcolor(black)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("1B: Strengthen Welfare Work Requirements", position(12) size(small)) subtitle("Low Education Respondents", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("WorkAlow",replace) ;

graph twoway rarea Limplicit Uimplicit predisp if model==3, blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
line Iimplicit Iexplicit Icontrol predisp if model==3
,
 clcolor(black black black) clpattern(solid dash dot)
 ytitle("Predicted Probability",size(small) color(black))
 ylabel(#7, labcolor(black) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) color(white)) 
xscale(range(0 1)) xlabel(0(.166)1, format(%9.2f) labsize(small) labcolor(white)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("1C: Oppose Aid to Blacks", position(12) size(small)) subtitle("Low Education Respondents", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("AtoBAlow",replace) ;

graph twoway rarea Limplicit Uimplicit predisp if model==4, blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
line Iimplicit Iexplicit Icontrol predisp if model==4
,
 clcolor(black black black) clpattern(solid dash dot)
 ytitle("Predicted Probability",size(small) color(black))
 ylabel(#7, labcolor(black) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) ) 
xscale(range(0 1)) xlabel(0(.166)1, format(%9.2f) labsize(small) labcolor(black)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("1D: Oppose Affirmative Action", position(12) size(small)) subtitle("Low Education Respondents", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("AAAlow",replace) ;

graph twoway rarea Limplicit Uimplicit predisp if model==5,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
line  Iimplicit Iexplicit Icontrol predisp if model==5
,
 clcolor(black black black) clpattern(solid dash dot)
 ytitle("Predicted Probability",size(small) color(white))
 ylabel(#7, labcolor(black) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) color(white)) 
xscale(range(0 1)) xlabel(0(.166)1,  format(%9.2f) labsize(small) labcolor(white)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("2A: Decrease Spending", position(12) size(small)) subtitle("High Education Respondents", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("SpendAhigh",replace) ;

graph twoway rarea Limplicit Uimplicit predisp if model==6,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
line  Iimplicit Iexplicit Icontrol  predisp if model==6
,
 clcolor(black black black) clpattern(solid dash dot) 
 ytitle("Predicted Probability",size(small) color(white))
 ylabel(#7, labcolor(black) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) color(black)) 
xscale(range(0 1)) xlabel(0(.166)1,  format(%9.2f) labsize(small) labcolor(black)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("2B: Strengthen Welfare Work Requirements", position(12) size(small)) subtitle("High Education Respondents", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("WorkAhigh",replace) ;

graph twoway rarea Limplicit Uimplicit predisp if model==7,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
line Iimplicit Iexplicit Icontrol  predisp if model==7
,
 clcolor(black black black) clpattern(solid dash dot)
 ytitle("Predicted Probability",size(small) color(white))
 ylabel(#7, labcolor(black) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) color(white)) 
xscale(range(0 1)) xlabel(0(.166)1,  format(%9.2f) labsize(small) labcolor(white)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("2C: Oppose Aid to Blacks", position(12) size(small)) subtitle("High Education Respondents", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("AtoBAhigh",replace) ;

graph twoway rarea Limplicit Uimplicit predisp if model==8,  blcolor(white) blwidth(none) blpattern(solid) bfcolor("150 150 150")
|| 
line  Iimplicit Iexplicit Icontrol predisp if model==8
,
 clcolor(black black black) clpattern(solid dash dot)
 ytitle("Predicted Probability",size(small) color(white))
 ylabel(#7, labcolor(black) grid nogmax labsize(small) nogmin glwidth(none) glcolor(none) nogextend) 
xtitle("AntiBlack Predispositions",size(small) ) 
xscale(range(0 1)) xlabel(0(.166)1,  format(%9.2f) labsize(small) labcolor(black)
grid nogmax nogmin glwidth(none) glcolor(none) nogextend) 
title("2D: Oppose Affirmative Action", position(12) size(small)) subtitle("High Education Respondents", position(12) size(small)) legend(off) 
graphregion(margin(vsmall) fcolor(none) lcolor(none) ifcolor(none) ilcolor(none)) 
plotregion(fcolor(none) lcolor(black) lwidth(thin) ifcolor(none) ilcolor(none) ilwidth(thin)) name("AAAhigh",replace) ;

graph combine SpendAlow SpendAhigh WorkAlow WorkAhigh , cols(2)  ysize(7.5) xsize(7.5) graphregion(margin(zero)) ycommon;
graph export logs\f5part1.eps, replace;

graph combine AtoBAlow AtoBAhigh  AAAlow AAAhigh   , cols(2)  ysize(7.5) xsize(7.5) graphregion(margin(zero));
graph export logs\f5part2.eps, replace;


